Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.deployment.cache
Interface DeploymentStoreMBean

All Superinterfaces:
  Service, ServiceMBean

All Known Subinterfaces:
  FileDeploymentStoreMBean

All Known Implementing Classes:
  FileDeploymentStore

public interface DeploymentStoreMBean
extends ServiceMBean

MBean interface.

Field Summary

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`URL` | `get(URL url)` Get the stored URL for the given deployment URL.
`URL` | `put(URL url)` Put a deployment URL into storage.

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### get

    public URL get(URL url)
            throws Exception

  Get the stored URL for the given deployment URL.

  Parameters:
    `url` - The original deployment URL.
  Returns:
    The stored URL or null if not stored.
  Throws:
    `Exception` - Failed to get deployment URL from the store.

### put

    public URL put(URL url)
            throws Exception

  Put a deployment URL into storage. This will cause the data associated with the given URL to be downloaded.

  If there is already a stored URL it will be overwritten.

  Parameters:
    `url` - The original deployment URL.
  Returns:
    The stored URL.
  Throws:
    `Exception` - Failed to put deployment URL into the store.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.